Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/glog: new aport

From: David Huffman <storedbox_at_outlook.com>
Date: Thu, 7 Jan 2016 15:24:08 -0500

https://github.com/google/glog
C++ implementation of the Google logging module
---
 testing/glog/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/glog/APKBUILD
diff --git a/testing/glog/APKBUILD b/testing/glog/APKBUILD
new file mode 100644
index 0000000..3db268d
--- /dev/null
+++ b/testing/glog/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: David Huffman <storedbox_at_outlook.com>
+# Maintainer: David Huffman <storedbox_at_outlook.com>
+pkgname=glog
+pkgver=0.3.4
+pkgrel=0
+pkgdesc="C++ implementation of the Google logging module"
+url="https://github.com/google/glog"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://github.com/google/glog/archive/v$pkgver/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr --disable-dependency-tracking --disable-rtti --with-pic || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="df92e05c9d02504fb96674bc776a41cb  glog-0.3.4.tar.gz"
+sha256sums="ce99d58dce74458f7656a68935d7a0c048fa7b4626566a71b7f4e545920ceb10  glog-0.3.4.tar.gz"
+sha512sums="139525b546a9eccacc9bebf7cc3053ba52229e9488485ad45344c3d3134ca819d3b571250c0e3a6d84097009c8be89b0f4fa16ef5ec838ffcc237ae11c3a034c  glog-0.3.4.tar.gz"
-- 
2.6.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Jan 07 2016 - 15:24:08 GMT